Get Virtual Center Metrics

Get Virtual Center Metrics
Get Virtual Center server metrics

Retrieve the metrics of a registered vCenter server.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/metrics
COPY
Path Parameters
string
vcUrn
Required

vcUrn


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VCenterServerMetrics of type(s) application/json;version=9.1.0
{
    "vcId": "urn:vcloud:vimserver:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "clustersCount": 0,
    "totalVmCount": 0,
    "poweredOnVmCount": 0,
    "totalMemMb": 0,
    "reservedMemMb": 0,
    "demandedMemMb": 0,
    "totalCpuMhz": 0,
    "reservedCpuMhz": 0,
    "demandedCpuMhz": 0,
    "totalStorageMb": 0,
    "freeStorageMb": 0,
    "uncommittedStorageMb": 0
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

404

The specified resource was not found

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/metrics